# ***IOT采集与控制报文***



**注：TCP通信为解决粘包问题，在包头和包围需要增加左括号和有括号。**

TCP示例	(1101070037;1;connect)

UDP示例	1101070037;1;connect



# ***连接***

连接包	采集器 -> 本网关

| 建筑 | 网关 | 类型 |
| ---- | ---- | ---- |
| 字符 | 整数 | 字符 |

示例	1101070037;1;connect

应答包

| 建筑 | 网关 | 类型 | 时间 |
| ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 时间 |

示例	1101070037;1;connectack;20010203040506

 

# ***心跳***

心跳包	采集器 -> 本网关

| 建筑 | 网关 | 类型 |
| ---- | ---- | ---- |
| 字符 | 整数 | 字符 |

示例	1101070037;1;heart

应答包

| 建筑 | 网关 | 类型 | 时间 |
| ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 时间 |

示例	1101070037;1;heartack;20010203040506

# ***buildingheart心跳***

心跳包	采集器 -> 本网关

| 建筑 | 网关 | 类型 |
| ---- | ---- | ---- |
| 字符 | 整数 | 字符 |

示例	 1101070037;0;buildingheart

应答包

| 建筑 | 网关 | 类型 | 时间 |
| ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 时间 |

示例	1101070037;0;buildingheartack;20211227110548

# ***数据上传***

数据上报包	采集器 -> 本网关

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 数量 | 功能1 | 数据1 | 。。。 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ----- | ----- | ------ |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 整数  | 字符  | 。。。 |

示例	1101070037;1;report;20010203040506;123;1001;2;11;3.1;12;3.2

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 |
| ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 |

示例	1101070037;1;reportack;;123

 

本网关将数据上报包转发上级程序，等待上级程序应答包并转发采集器

数据上传包可以一次传多个，分隔符使用&

数据上传包可以在最前面增加辅助信息，分隔符使用$

 

# ***文本上传***

数据上报包	采集器 -> 本网关

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 数量 | 功能1 | 数据1 | 。。。 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ----- | ----- | ------ |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 整数  | 字符  | 。。。 |

示例	1101070037;1;text;20010203040506;123;1001;2;11;hello;12;world

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 |
| ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 |

示例	1101070037;1;textack;;123

 

本网关将数据上报包转发上级程序，等待上级程序应答包并转发采集器

数据上传包可以一次传多个，分隔符使用&

 

# ***消息上传***

数据上报包	采集器 -> 本网关

| 建筑 | 网关 | 类型 | 时间 | 序号 | 消息类型 | 消息内容 |
| ---- | ---- | ---- | ---- | ---- | -------- | -------- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符     | 字符     |

示例	1101070037;1;happening;20010203040506;123;firealarm;{"id":"abc"}

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 |
| ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 |

示例	1101070037;1;happeningack;20010203040506;123;firealarm;{"id":"abc"}

 

本网关将数据上报包转发上级程序，等待上级程序应答包并转发采集器

 

# ***点位清单上传***

点位清单包	采集器 -> 本网关

| 建筑 | 网关 | 类型 | 时间 | 序号 | 页容量 | 总页数 | 页编号 | 总条数 | 表号1 | 功能1 | 。。。 |
| ---- | ---- | ---- | ---- | ---- | ------ | ------ | ------ | ------ | ----- | ----- | ------ |
| 字符 | 整数 | 字符 | 空   | 整数 | 整数   | 整数   | 整数   | 整数   | 字符  | 整数  | 。。。 |

示例	1101070037;1;pointupload;;123;50;5;5;2;1001;11;1001;12

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 页容量 | 总页数 | 页编号 |
| ---- | ---- | ---- | ---- | ---- | ------ | ------ | ------ |
| 字符 | 整数 | 字符 | 空   | 整数 | 整数   | 整数   | 整数   |

示例	1101070037;1;pointuploadack;;123;50;5;5

 

# ***点位读取***

点位读取包	应用软件 -> 采集软件

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 | 字符 | 整数 |

示例	1101070037;1;pointread;;123;1001;11

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 结束时间 | 状态 | 数据 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | -------- | ---- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符     | 字符 | 字符 |

示例

1101070037;1;pointreadack;20010203040506;123;1001;11;20010203040507;success;3.1

1101070037;1;pointreadack;20010203040506;123;1001;11;20010203040507;failure_rrr

 

**读取下发协议**

下发包	采集软件 -> 采集器

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 | 字符 | 整数 |

示例	1101070037;1;senddownread;;123;1001;11

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 结束时间 | 状态 | 数据 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | -------- | ---- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符     | 字符 | 字符 |

示例

1101070037;1;senddownreadack;20010203040506;123;1001;11;20010203040507;success;3.1

1101070037;1;senddownreadack;20010203040506;123;1001;11;20010203040507;failure_rrr

 

# ***点位设置***

点位设置包	上级程序->本网关

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 | 字符 | 整数 | 字符 |

示例	1101070037;1;pointset;20010203040506;123;1001;11;3.1

示例	1101070037;1;pointset;20010203040506;123;1001;11;[3.1,3.2,3.3]

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据 | 结束时间 | 状态 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ---- | -------- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符 | 字符     | 字符 |

示例	1101070037;1;pointsetack;20010203040506;123;1001;11;3.1;20010203040507;success

 

**设置下发协议**

下发包	本网关 -> 采集器

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 | 字符 | 整数 | 字符 |

示例	1101070037;1;senddownset;20010203040506;123;1001;11;3.1

示例	1101070037;1;senddownset;20010203040506;123;1001;11;[3.1,3.2,3.3]

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据 | 结束时间 | 状态 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ---- | -------- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符 | 字符     | 字符 |

示例

1101070037;1;senddownsetack;20010203040506;123;1001;11;3.1;20010203040507;success

 

# ***点位设置通知***

本地监听端口来的设置指令及应答包，会发给上级程序

点位设置包	本网关->上级程序

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据 | 结束时间 | 状态 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ---- | -------- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符 | 字符     | 字符 |

示例	1101070037;1;reportpointset;20010203040506;123;1001;11;3.1;;

示例	1101070037;1;reportpointset;20010203040506;123;1001;11;3.1; 20010203040506;failure_point_not_exist

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据 | 结束时间 | 状态 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ---- | -------- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符 | 字符     | 字符 |

示例	1101070037;1;reportpointsetack;20010203040506;123;1001;11;3.1; 20010203040506;failure_point_not_exist

 

# ***虚拟点位设置下发***

点位设置包	上级程序->本网关

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 | 字符 | 整数 | 字符 |

示例	1101070037;0;virtualpointset;20010203040506;123;1001;11;3.1

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符 |

示例	1101070037;0;virtualpointsetack;20010203040506;123;1001;11;3.1

 

# ***查询当前上传值***

点位读取包	上级程序 ->本网关

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 | 字符 | 整数 |

示例	1101070037;1;presentreport;20010203040506;123;1001;11

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据时间 | 数据 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | -------- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符     | 字符 |

示例	1101070037;1;presentreportack;20010203040506;123;1001;11;20010203040506;3.1

 

# ***查询当前设置值***

点位读取包	上级程序 ->本网关

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- |
| 字符 | 整数 | 字符 | 空   | 整数 | 字符 | 整数 |

示例	1101070037;1;presentset;20010203040506;123;1001;11

应答包

| 建筑 | 网关 | 类型 | 时间 | 序号 | 表号 | 功能 | 数据时间 | 数据 | 结束时间 | 状态 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- | -------- | ---- | -------- | ---- |
| 字符 | 整数 | 字符 | 时间 | 整数 | 字符 | 整数 | 字符     | 字符 | 字符     | 字符 |

示例	1101070037;1;presentsetack;20010203040506;123;1001;11;20010203040506;3.1; 20010203040506; failure_point_not_exist

 

